/*
 *作者：懒人建站 http://www.51xuediannao.com/
*/
$(function(){
	
	$("input[placeholder]").placeholder();
	//菜单页面
	var $menuDt = $(".left-nav"),
		$menuLi = $(".left-nav > li");
		$dl2cola = $("#menu > dl.dl2col > dd > div > a");
	$menuDt.click(function(){
		var $this = $(this),$thisparent = $this.parent("dl");
		if($thisparent.hasClass("hidemenu")){
			$thisparent.removeClass("hidemenu");
		}else{
			$thisparent.addClass("hidemenu");
		}
	});
	$menuLi.click(function(){
		$menuLi.removeClass("cur");
		$(this).addClass("cur");
	});
	$dl2cola.click(function(){
		$dl2cola.removeClass("cur");
		$(this).addClass("cur");
	});
	
	
});

//placeholder插件 开始		建议放到一个单独的js文件中
;(function ($) {
	$.fn.placeholder = function (options) {
		var opts={
			focusclass:'inputfocus'	//默认获得焦点时的样式，在写样式的时候用input:focus,.inputfocus{样式}组合使用
		};
		$.extend(opts,options);
		if(!isPlaceholder()){
			this.each(function(){
				var $this = $(this),$thisplaceholder = $this.attr("placeholder");
				$this.val($thisplaceholder);
				$this.focus(function(){ 
					if($this.val()==$thisplaceholder){
						$this.val("");
					}
					$this.addClass(opts.focusclass);
				}).blur(function(){
					if ($this.val() == ''){ 
						$this.val($thisplaceholder); 
					}
					$this.removeClass(opts.focusclass);
				});
			 });//each end
		}//if end
	};
	function isPlaceholder(){ 
		return 'placeholder' in document.createElement('input');  
	} 	
})(jQuery);
//placeholder插件 结束